Bug 181380 - frysk man pages installed into /usr/man
frysk man pages installed into /usr/man
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: frysk (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Cagney
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2006-02-13 14:21 EST by Andrew Cagney
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2006-0130
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:22:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2006-02-13 14:21:38 EST
Description of problem:

Man pages installed in /usr/man, instead of /usr/share/man.

Version-Release number of selected component (if applicable):

frysk-0.0.1.2005.12.14.15.12-0.EL4.1

How reproducible:

All the time

Steps to Reproduce:
1. install rpm
2. ls /usr/man/man1/frysk*
Comment 1 Andrew Cagney 2006-02-13 14:27:37 EST
* Fri Jan 13 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.01.13-0.EL4.0
- Import frysk-0.0.1.2006.01.13.tar.bz2
- Revamp -prep and -bupid sections: unpack glib-java early so its m4
  macros are available; eliminate jg-common; -setup all tar balls
  under $RPM_BUILD_DIR; change BUILDDIR to $RPM_BUILD_DIR/build-...;
  in -setup remove entire BUILDDIR.
- Update __frysk_configure and __frysk_libs_configure to explicitly
  specify all paths (especially --mandir which was wrong).  Where
  applicable use _sysconfigdir, _bindir, et.al. instead of
  _frysk_sysconfigdir, et.al. In -files, replace /usr/man/*/frysk-*
  with /usr/share/man/*/frysk-*.
- Rename libglade to libglade2 to better match rpm name.
- Define gccp[refix] and gccs[uffix], use in hardwired GCC paths.
  Pass FRYSK_GTK_... instead of FRYSK_IMPORTS_ make file variables to
  frysk's make.
Comment 5 Red Hat Bugzilla 2006-03-07 13:22:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0130.html

Note You need to log in before you can comment on or make changes to this bug.